Bug 299751 - "man proc" slightly outdated
"man proc" slightly outdated
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: man-pages (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-21 02:59 EDT by Tomas Smetana
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-09 05:20:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Smetana 2007-09-21 02:59:20 EDT
Description of problem:

The proc(5) manpage doesn't describe the current /proc filesytem quite
precisely, e.g.:

/proc/stat contains 8 nubers on cpu<n> lines -- the additional one (named steal)
is the time spent servicing other DomU instances (virtual machines).

/proc/slabinfo exists no more.  Additionally the slabinfo(5) manpage is useless.

Version-Release number of selected component (if applicable):
man-pages-2.64-1.fc8

How reproducible:
Always.

Steps to Reproduce:
1. run "man proc" and compare the information to the reality
2. same thing with "man slabinfo"
3. cat /proc/slabinfo (no such file or directory)
4. cat /proc/stat (too many numbers on cpu lines)
  
Actual results:
I can't find out what to do with my slabtop program that is also broken. :(

Expected results:
I read man pages and know.

Additional info:
There may be some more bugs.  If I find any, I'll add them here.
Comment 1 Ivana Varekova 2007-10-09 05:20:26 EDT
This problem will be fixed in the upstream version soon (man-pages-2.68).

Note You need to log in before you can comment on or make changes to this bug.